Ubuntu

Package description for linux-tools-* needs improvement

Reported by Matt Zimmerman on 2010-06-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Benjamin Kerensa
linux-meta (Ubuntu)
Low
Benjamin Kerensa

Bug Description

The package description for linux-tools-2.6.32-21 reads:

Description: Linux kernel tools for version 2.6.32-21
 This package provides the architecture dependant parts for kernel
 version locked tools for version 2.6.32-21 on
 DESC.

and the corresponding metapackage linux-tools has:

Description: Linux kernel versioned Tools
 This package will always depend on the latest Linux kernel versioned tools
 available. The Ubuntu patches have been applied.

Neither of these explain what this package includes, or what it's useful for. See http://www.debian.org/doc/debian-policy/ch-binary.html#s-descriptions for more information on crafting an appropriate description, in particular:

"The description should describe the package (the program) to a user (system administrator) who has never met it before so that they have enough information to decide whether they want to install it."

Also notice the raw "DESC" which looks like it was meant to be used for a string substitution.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Matt,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 593107

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: kernel-needs-review kernel-uncat
removed: needs-kernel-logs needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
tags: added: kernel-reviewed
removed: kernel-needs-review
Changed in linux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Benjamin Kerensa (bkerensa)
Benjamin Kerensa (bkerensa) wrote :

I have attached a patch which improves the description of linux-tools and should resolve this bug and I have informed the Ubuntu Kernel Team of the availability of the patch.

tags: added: patch
Andy Whitcroft (apw) on 2012-02-15
Changed in linux-meta (Ubuntu):
status: New → In Progress
importance: Undecided → Low
Changed in linux (Ubuntu):
importance: Medium → Low
Changed in linux-meta (Ubuntu):
assignee: nobody → Benjamin Kerensa (bkerensa)
Benjamin Kerensa (bkerensa) wrote :

This is the second patch and is intended to handle description in package "linux" while the prior patch is for "linux-meta"

Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package linux - 3.2.0-17.26

---------------
linux (3.2.0-17.26) precise; urgency=low

  [ Andy Whitcroft ]

  * [Config] clean up the human consumable package descriptions
  * [Config] fix generic flavour description
  * [Config] clean up linux-tools package descriptions
    - LP: #593107
  * deviations -- note the source of the Hyper-V updates
  * SAUCE: ata_piix: defer to the Hyper-V drivers by default
    - LP: #929545

  [ Eugeni Dodonov ]

  * SAUCE: drm/i915: do not enable RC6p on Sandy Bridge

  [ Kees Cook ]

  * SAUCE: (drop after 3.3) security: create task_free security callback
  * SAUCE: (drop after 3.3) security: Yama LSM
  * SAUCE: (drop after 3.3) Yama: add PR_SET_PTRACER_ANY
  * SAUCE: Yama: add link restrictions
  * SAUCE: security: unconditionally chain to Yama LSM

  [ Leann Ogasawara ]

  * Drop ndiswrapper

  [ Robert Hooker ]

  * SAUCE: drm/i915: Enable RC6 by default on sandybridge.

  [ Tim Gardner ]

  * SAUCE: ipheth: Add iPhone 4S
    - LP: #900802
  * dropped hv_mouse
  * [Config] CONFIG_X86_NUMACHIP=y

  [ Upstream Kernel Changes ]

  * Staging: hv: vmbus: Support building the vmbus driver as part of the
    kernel
  * hv: Add Kconfig menu entry
  * Drivers: hv: Fix a memory leak
  * Drivers: hv: Make the vmbus driver unloadable
  * Drivers: hv: Get rid of an unnecessary check in hv.c
  * Staging: hv: mousevsc: Make boolean states boolean
  * Staging: hv: mousevsc: Inline the code for mousevsc_on_device_add()
  * Staging: hv: mousevsc: Inline the code for reportdesc_callback()
  * Staging: hv: mousevsc: Cleanup mousevsc_on_channel_callback()
  * Staging: hv: mousevsc: Add a new line to a debug string
  * Staging: hv: mousevsc: Get rid of unnecessary include files
  * Staging: hv: mousevsc: Address some style issues
  * Staging: hv: mousevsc: Add a check to prevent memory corruption
  * Staging: hv: mousevsc: Use the KBUILD_MODNAME macro
  * Staging: hv: storvsc: Use mempools to allocate struct
    storvsc_cmd_request
  * Staging: hv: storvsc: Cleanup error handling in the probe function
  * Staging: hv: storvsc: Fixup the error when processing SET_WINDOW
    command
  * Staging: hv: storvsc: Fix error handling storvsc_host_reset()
  * Staging: hv: storvsc: Use the accessor function shost_priv()
  * Staging: hv: storvsc: Use the unlocked version queuecommand
  * Staging: hv: storvsc: use the macro KBUILD_MODNAME
  * Staging: hv: storvsc: Get rid of an unnecessary forward declaration
  * Staging: hv: storvsc: Upgrade the vmstor protocol version
  * Staging: hv: storvsc: Support hot add of scsi disks
  * Staging: hv: storvsc: Support hot-removing of scsi devices
  * staging: hv: Use kmemdup rather than duplicating its implementation
  * staging: hv: move hv_netvsc out of staging area
  * Staging: hv: mousevsc: Properly add the hid device
  * Staging: hv: storvsc: Disable clustering
  * Staging: hv: storvsc: Cleanup storvsc_device_alloc()
  * Staging: hv: storvsc: Fix a bug in storvsc_command_completion()
  * Staging: hv: storvsc: Fix a bug in copy_from_bounce_buffer()
  * Staging: hv: storvsc: Implement per device memory pools
  * Staging: hv: remove hv_mouse driver as it's now in the hid ...

Read more...

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in linux-meta (Ubuntu):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers